import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class KeeperContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    keeperJobManager({ address, network }: ContractOpts): import("./ethers").KeeperJobManager;
    keeperKlp({ address, network }: ContractOpts): import("./ethers").KeeperKlp;
    keeperRedeemableToken({ address, network }: ContractOpts): import("./ethers").KeeperRedeemableToken;
    keeperVest({ address, network }: ContractOpts): import("./ethers").KeeperVest;
}
export type { KeeperJobManager } from './ethers';
export type { KeeperKlp } from './ethers';
export type { KeeperRedeemableToken } from './ethers';
export type { KeeperVest } from './ethers';
